require "tableutil"
local ssu = require "stylesheetutil"

local hp = 10
local vp = 5
local defaultMargin = hp

local constructionMenuMainColor = ssu.makeColor(5+25, 25+25, 40+25, 200)
local constructionMenuBackColor = ssu.makeColor(5, 25, 40, 210)
local constructionMenuHoverColor = ssu.makeColor(5+10, 25+10, 40+10, 200)

function data()
	local result = { }
	
	local a = ssu.makeAdder(result)
	
	result.animations = { }
	a("!linestop-linedestination", {
		borderColor = ssu.makeColor(255, 255, 255),
		borderWidth = { 3, 3, 3, 3 },
	})
	--[[
	a("#mainMenuLeft.CommonAPI2Button.button.icon", {
		color = ssu.makeColor(255, 255, 255),
		backgroundImage1 = { fileName = "ui/design/buttons/disk_small_behind.tga" },
		backgroundImage2 = { fileName = "ui/design/buttons/disk_small_surface.tga" },
		borderImage = { fileName = "ui/design/buttons/disk_small_contour.tga" },
		backgroundColor1 = ssu.makeColor(15, 35, 50, 90),
		backgroundColor2 = ssu.makeColor(15, 35, 50),
		borderColor = ssu.makeColor(255, 255, 255, 128)
	})
	a("#mainMenuLeft.CommonAPI2Button.button.icon:hover", {
		backgroundColor1 = ssu.makeColor(183, 188, 193, 128),
		borderColor = ssu.makeColor(255, 255, 255)
	})
	a("#mainMenuLeft.CommonAPI2Button.button.icon:active", {
		backgroundColor1 = ssu.makeColor(15, 35, 50, 90),
		backgroundColor2 = ssu.makeColor(110, 122, 132)
	})
	a("#mainMenuLeft.CommonAPI2Button.button.icon:disabled", {
		color = ssu.makeColor(128, 128, 128)
	}) --]]


	a("!commonapi-layerview-off ImageView", {
		backgroundColor = ssu.makeColor(200, 0, 0, 70)
	})

	a("!commonapi-layerview-on ImageView", {
		backgroundColor = ssu.makeColor(0, 200, 0, 70)
	})

	a("commonapi-ConlistButton", {
		maxSize = { 200, 110 },
		minSize = { 0, 75 },
	})

	a("commonapi-ConlistButton !con-entry-icon, commonapi-ConListPopup !con-entry-icon", {
		color = ssu.makeColor(255, 255, 255),
		padding = { 2, 10, 2, 10 },
		borderWidth = { 2, 2, 2, 2 },
		borderColor = ssu.makeColor(214, 214, 214, 0),
		maxSize = { 200, 75 },
		minSize = { 0, 75 },
	})

	a("commonapi-ConlistButton !con-entry-submenu", {
		maxSize = { 150, 20 },
		size = { 150, 20 },
	})

	a("commonapi-ConlistButton !con-entry-single", {
		padding = { 20, 10, 2, 10 },
	})

	a("commonapi-ConListPopup !con-entry-single", {
		padding = { 5, 10, 5, 10 },
	})

	a("commonapi-ConlistButton !con-entry-icon:hover, commonapi-ConListPopup !con-entry-icon:hover", {
		backgroundColor = ssu.makeColor(255, 255, 255, 30),
		borderColor = ssu.makeColor(255, 255, 255, 30)
	})
	a("commonapi-ConlistButton !con-entry-icon:active, commonapi-ConListPopup !con-entry-icon:active", {
		backgroundColor = ssu.makeColor(255, 255, 255, 30),
		borderColor = ssu.makeColor(255, 255, 255, 100),
	})
	a("commonapi-ConlistButton !con-entry-icon:disabled, commonapi-ConListPopup !con-entry-icon:disabled", {
		color = ssu.makeColor(150, 150, 150)
	})

	a("!commonapi-cathighlight", {
		borderWidth = { 2, 2, 2, 2 },
		borderColor = ssu.makeColor(214, 214, 214, 100),
		-- Bla
	})

	a("!commonapi-catnohighlight", {
		borderWidth = { 2, 2, 2, 2 },
		borderColor = ssu.makeColor(214, 214, 214, 0),
		-- Bla
	})

	return result
end
