function data()
	local strings = {
		en = {
			eis_os_commonapi2 = "CommonAPI2",
			eis_os_commonapi2_desc = "CommonAPI2 provides functions for mod interoperability. Functions for track, road, bridge searching and ui handling",
			-- settings --
			setting_liststyle = "UI list style",
			setting_liststyledesc = "0 = auto, 1 = always show all entries, 2 = hide entries, 3 = sort list by year",

			setting_compressui = "Compress ui lists",
			setting_compressuidesc = "Reduce ui size by removing duplicate names",

			setting_userfilterdesc = "User Filter",
			setting_filtertracks = "Track filter",
			setting_filtertracks_desc = "A list of Lua patterns seperated by ;",
			setting_filterstreets = "Road filter",
			setting_filterstreets_desc = "A list of Lua patterns seperated by ;",

			setting_disablenative = "Disable native library extension",
			setting_disablenative_desc = "Supresses loading a dll/so library into TPF and patching the game at runtime (full restart required!)",

			setting_buildoverwrite = "Build overwrite",
			setting_buildoverwrite_desc = "Allow loading the native dll/so on specific game version",

			setting_enablenewanimations = "Enable new animations",
			setting_enablenewanimations_desc = "New random vehicle animations (restart required!)",

			setting_enablelinedestination = "Enable LINE_DESTINATION",
			setting_enablelinedestination_desc = "Vehicles can show Endstations with LINE_DESTINATION (full restart required!)",

			setting_flexstreets = "Flexstreets",
			setting_flexstreets_desc = "Enable more build options for streets (full restart required!)",

			setting_enablenewevents = "Enable new events",
			setting_enablenewevents_desc = "Add gamescript event system, required for building special street station",

			setting_layerview = "LayerView patch",
			setting_layerview_desc = "Changes white layer view: 0 = don't patch, 1 = normal + ui, 2 = disable auto white layer + ui",



			setting_rendermode = "Rendermode",
			setting_rendermode_desc = "1 = normal, 2 = don't hook render pipeline",


			setting_uiscale = "UI Scale",
			setting_uiscale_desc = "The default ui scale after loading",

			setting_verbosity = "Debug verbosity",
			setting_verbosity_desc = "0 = Default, 10 = Notice, 99 = Debug",

			setting_enableluasocket = "Enable LuaSocket",
			setting_enableluasocket_desc = "Let your use LuaSocket socket.core on tpf2 script system for remote debugging",

			setting_fixscripts = "Enable script fix",
			setting_fixscripts_desc = "Fix filefilter script mod dir handling. (local/mods, local/staging_area)",

			setting_location7zip = "Location of 7zip",
			setting_location7zip_desc = "Please give full path including 7zip.exe  (leave empty for default)",

			setting_improveui = "Improve UI",
			setting_improveui_desc = "Add grouping to rail, road and asset construction selection list (0 = disabled, 1 = grouping enabled)",

			setting_workshopbackup = "Workshop backup full folder path",
			setting_workshopbackup_desc = "Important: The backup folder must be named 1066780, no umlauts in path!",
		},
		de = {
			eis_os_commonapi2_desc = "Common API für Mod Interoperabilität. Funktionen für Gleis, Strassen und Brücken Erkennung und UI Erstellung",
			Bridge = "Brücke",
			Street = "Straße",


			setting_liststyle = "UI Listentype",
			setting_liststyledesc = "0 = auto, 1 = immer alle Einträge zeigen, 2 = Einträge verstecken, 3 = sortiere nach Jahr",

			setting_compressui = "Komprimierte UI Listen",
			setting_compressuidesc = "Verkürzung von UI Einträgen bei gleichen Namen",

			setting_userfilterdesc = "Nutzer Filter",
			setting_filtertracks = "Gleisfilter",
			setting_filtertracks_desc = "Eine Liste von Lua pattern getrennt durch ;",
			setting_filterstreets = "Strassenfilter",
			setting_filterstreets_desc = "Eine Liste von Lua pattern getrennt durch ;",


			setting_disablenative = "Native lib abschalten",
			setting_disablenative_desc = "Verhindert das ändern des Spiel zur Laufzeit via dll/so (Spiel muss neugestartet werden!)",

			setting_buildoverwrite = "Build overwrite",
			setting_buildoverwrite_desc = "Ermöglicht das Laden der DLL mit einer unbekannten TPF2 Build",

			setting_enablenewanimations = "Neue Animationen",
			setting_enablenewanimations_desc = "Neue zufällige Fahrzeuganimationen (benötigt neustart!)",

			setting_enablelinedestination = "LINE_DESTINATION einschalten",
			setting_enablelinedestination_desc = "Fahrzeuge können Ihr Endziel via Labeltyp LINE_DESTINATION anzeigen (benötigt neustart!)",

			setting_flexstreets = "Flexstreets",
			setting_flexstreets_desc = "Mehr Bauoptionen für Strassen (Spiel neustarten!)",

			setting_enablenewevents = "Enable new events",
			setting_enablenewevents_desc = "Hinzufügen von neuen gamescript events, ermöglicht u.a. das Bauen von speziellen Strassenhaltestellen. (benötigt neustart!)",

			setting_uiscale = "UI Scale",
			setting_uiscale_desc = "Legt die Größe der UI Elemente nach dem Laden fest",

			setting_verbosity = "Debug verbosity",
			setting_verbosity_desc = "0 = Normal, 10 = Mehr Information, 99 = Debug",


			setting_enableluasocket = "LuaSocket einschalten",
			setting_enableluasocket_desc = "Ermöglicht die Nutzung von LuaSocket in TPF2 zum (Remote-)Debugging",


			setting_layerview = "LayerView Patch",
			setting_layerview_desc = "Ermöglicht weißes Layer zu beinflussen:\n0 = Keine Änderung, 1 = Normales verhalten + UI, 2 = Weißes Layer nicht nutzen + UI",


			setting_fixscripts = "Fix für Scripte",
			setting_fixscripts_desc = "Filefilter fix: local/mods und local/staging_area sind mods",

			setting_location7zip = "Pfadname zu 7zip",
			setting_location7zip_desc = "Kompletter Pfadname zu 7zip.exe (Leer lassen für Standard)",

			setting_improveui = "Improve UI",
			setting_improveui_desc = "Gruppierung von Gleisen, Strassen und Asset Konstruktionslisten\n(0 = abgeschaltet, 1 = Gruppierung eingeschaltet)",

			setting_workshopbackup = "Workshop backup Verzeichnis",
			setting_workshopbackup_desc = "Wichtig: Der letzte Teil des Verzeichnisstruktur muss 1066780 lauten, keine Umlaute! \nBeispiel: d:\\WorkshopBackup\\1066780",

			-- native ui

			["StreetTrackToolbox"] = "Strassen und Gleis Toolbox",
			["Street & track toolbox"] = "Strassen und Gleis Toolbox",

			["Tracktypes"] = "Gleistypen",
			["Streettypes"] = "Strassentypen",

			["Settings"] = "Einstellungen",
			["Directories"] = "Verzeichnisse",

			["Game folder"] = "Spielverzeichnis",
			["Userdata folder"] = "Benutzerverzeichnis",

			['Close menu'] = "Schließen",

			["Embankment"] = "Damm",

			["Slope"] = "Steigung",

			["Curve radius"] = "Kurvenradius",


			["Speedlimit"] = "Geschwindigkeit",

			["Default"] = "Standard",


			["Curve & slope"] = "Kurven & Steigungen",

			["No restrictions"] = "Keine Beschränkung",

			["Mod settings"] = "Mod Einstellungen",

			["Settings"] = "Einstellungen",
			["Save"] = "Speichern",
			["Load"] = "Laden",
			["Filename:"] = "Dateiname:",

			["More..."] = "Mehr...",

			["Mod errors:"] = "Mod Fehler:",
			["Mod dependencies:"] =  "Mod Abhängigkeiten:",

			["Dependencies"] = "Abhängigkeiten",
			["Description"] = "Beschreibung",

			["Show all mods"] = "Zeige alle Mods",
			["Install mod"] = "Mod installieren",
			["Download update information"] = "Update Information herunterladen",
			["Last update"] = "Letzte Änderung",
			["Clear Cache"] = "Cache leeren",

			["requires ${modId}"] = "benötigt ${modId}",
			["requires ${modname} ${version}"] = "benötigt ${modname} ${version}",
			["should be loaded after ${modname}"] = "sollte nach ${modname} geladen werden",
			["requires ${modname}, please activate"] = "benötigt ${modname}, bitte aktivieren",

			["Missing ${modId}"] = "${modId} fehlt",

			["Modlist export"] = "Modliste exportieren",
			["Modlist import"] = "Modliste importieren",

			["Modlist is empty"] = "Modliste ist leer",

			["Cancel"] = "Abbrechen",
			["Install ${modname}?"] = "Soll '${modname}' installiert werden?",


			["Please wait"] = "Bitte warten",
			["Steam mods missing:"] = "Fehlende Steam mods:",
			["Subscribe to ${modName} (${steamId})"] = " ${modName} (${steamId}) abonnieren",
			["Subscribed ${modName} done!"] = "Abonniert ${modName}!",
			["${result} for ${modName} (${steamId})"] = "Ergebnis: ${result} für ${modName} (${steamId})",

			["Your Transport Fever 2 version ${ugbuild} isn't listed as known good version, native functionality disabled"] =
				"Die Version ${ugbuild} ist unbekannt, native dll/so abgeschaltet",

			-- ui 2 LINE_DESTINATION
			["Line Destination"] = "Endhaltestelle",
			["Select a stop!"] = "Halt auswählen!",
			["Enable"]= "Einschalten",


			-- Layer Patch
			["Auto white layer"] = "Auto weißes Layer",
			["On"] = "An",
			["Off"] = "Aus",
			["Disable white layer"] = "Weißes Layer abschalten",
			["Enable white layer"] = "Weißes Layer anschalten",


			-- Construnction List Patch
			["Grouping"] = "Gruppieren",

			-- CrashDebug
			["Activate CrashDebug"] = "CrashDebug aktivieren",
			["CrashDebug successfully activated... Please start a game"] = "CrashDebug aktiviert, nun Spiel starten",
			["CrashDebug activation failed"] = "CrashDebug konnte nicht aktiviert werden",
			["CrashDebug already activated"] = "CrashDebug schon aktiviert",
		},

	}

	if (TPFMM ~= nil) then
		print("commonapi: TPFMM detected, not loading commonapi")
		strings["en"]["eis_os_commonapi2"] = strings["en"]["eis_os_commonapi2"] .. " (TPFMM)"
		return strings
	end

	local initpath = debug.getinfo(1, 'S').source:sub(2)
	initpath = string.gsub(initpath, '\\', '/')
	initpath = string.gsub(initpath, "/strings%.lua$", "/res/scripts/commonapi2/init.lua")

	local commonapiinit = dofile(initpath)
	commonapiinit._init(strings)

	--print("commonapi.strings.lua returning strings")
	return strings
end